commit 04b3dba2cd52ec87dcaedc3146f091aa4e28751f
Author: freddy77 <freddy77>
Date:   Thu Mar 19 13:13:21 2009 +0000

    support addition in commit script

diff --git a/ChangeLog b/ChangeLog
index fcf10ee..3a42a91 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Mar 19 14:13:12 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/commit: support file addition
+
 Thu Mar 19 14:11:31 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c src/dblib/unittests/common.h:
 	* src/dblib/unittests/null.c src/dblib/unittests/t0021.c:
@@ -1423,4 +1426,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2754 2009/03/19 13:11:41 freddy77 Exp $
+$Id: ChangeLog,v 1.2755 2009/03/19 13:13:21 freddy77 Exp $
diff --git a/misc/commit b/misc/commit
index 77afdf8..7dda164 100755
--- a/misc/commit
+++ b/misc/commit
@@ -1,6 +1,6 @@
 #!/usr/bin/perl
 
-# $Id: commit,v 1.3 2008/12/20 19:13:41 freddy77 Exp $
+# $Id: commit,v 1.4 2009/03/19 13:13:21 freddy77 Exp $
 
 use strict;
 
@@ -20,7 +20,7 @@ die("cvs commit message required\n") if $cvsMessage eq '';
 die('setting local') if $?;
 
 # extract file changed
-open(CHANGES, 'cvs diff 2> /dev/null | lsdiff |') or die('getting files changed');
+open(CHANGES, 'cvs diff -N 2> /dev/null | lsdiff |') or die('getting files changed');
 my %changes;
 while(<CHANGES>) {
 	chomp;

